> For the complete documentation index, see [llms.txt](https://developer.dashdoc.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.dashdoc.com/docs/api-reference/deliveries.md).

# Deliveries

## GET /deliveries/

> List all deliveries

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Deliveries"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"Deliveries":{"properties":{"count":{"type":"integer"},"next":{"nullable":true,"type":"string"},"previous":{"nullable":true,"type":"string"},"results":{"items":{"$ref":"#/components/schemas/Delivery"},"type":"array"}},"type":"object"},"Delivery":{"properties":{"uid":{"description":"Dashdoc's internal id.","type":"string"},"sequential_id":{"description":"eCMR number","type":"number"},"remote_id":{"type":"string"},"tracking_id":{"description":"Deprecated","type":"string"},"origin":{"$ref":"#/components/schemas/CreateOrUpdateSite"},"destination":{"$ref":"#/components/schemas/CreateOrUpdateSite"},"shipper_address":{"$ref":"#/components/schemas/NewAddressReduced"},"planned_loads":{"description":"Loads as planned before the transport has been started","items":{"$ref":"#/components/schemas/DeliveryLoads"},"type":"array"},"loads":{"description":"Loads as they are most recently defined. This means it is: \n\n* equal to `planned_loads` before loading is actually done \n\n* equal to `origin_loads` after loading is done (with details validated by trucker), but unloading is not done yet \n\n* equal to `loads_loads` after unloading is actually done (with details validated by trucker)","items":{"$ref":"#/components/schemas/DeliveryLoads"},"type":"array"},"origin_loads":{"description":"Loads as validated by trucker right after loading is done","items":{"$ref":"#/components/schemas/DeliveryLoads"},"type":"array"},"destination_loads":{"description":"Loads as validated by trucker right after unloading is done","items":{"$ref":"#/components/schemas/DeliveryLoads"},"type":"array"},"tracking_contacts":{"description":"List of contacts that will automatically receive an email when delivery is done. ⚠️ If no tracking contacts are provided for a company and the setting `partner_email_fallback` is enabled, a tracking contact corresponding to the company's email will be added, at the creation of the transport. This only applies to the carrier and the shipper.","items":{"$ref":"#/components/schemas/Delivery_tracking_contacts"},"type":"array"},"shipper_reference":{"description":"Reference the client may use to match transport on his own system, e.g. an order number. The transport's creator can toggle a setting to only allow himself to set it.","type":"string"},"multiple_rounds":{"description":"If true, the trucker will be able to do a signature at loading, then add any amount of rounds for the transport (with weight/volume and weight ticket), and finish with a signature at unloading.","type":"boolean"}},"type":"object"},"CreateOrUpdateSite":{"properties":{"uid":{"format":"uuid","type":"string"},"remote_id":{"description":"The id of the site in your system","type":"string"},"address":{"allOf":[{"$ref":"#/components/schemas/SiteAddress"}],"nullable":true},"real_start":{"description":"date and time when trucker arrived on site","format":"date-time","readOnly":true,"type":"string"},"real_end":{"description":"date and time when trucker completed loading / unloading (depending whether site is origin or destination)","format":"date-time","readOnly":true,"type":"string"},"signature_process":{"type":"string"},"is_booking_needed":{"type":"boolean"},"instructions":{"$ref":"#/components/schemas/site_instructions"},"reference":{"type":"string"},"action":{"deprecated":true,"description":"Deprecated. Accepted for backward compatibility but ignored. Responses always return an empty string.","type":"string"},"eta":{"format":"date-time","nullable":true,"type":"string"},"eta_tracking":{"type":"boolean"},"punctuality_status":{"readOnly":true,"type":"string"},"supports_exchanges":{"$ref":"#/components/schemas/SupportsExchange"},"category":{"type":"string"},"slots":{"items":{"$ref":"#/components/schemas/Site_slots"},"type":"array"},"trucker_instructions":{"$ref":"#/components/schemas/trucker_instructions"},"trip":{"$ref":"#/components/schemas/Site_trip"}},"type":"object"},"SiteAddress":{"description":"Address of the site. Reference an existing address with its `pk` or `remote_id`, or send its details to have it matched or created.","properties":{"pk":{"description":"Dashdoc's internal id. Optional, set it to reference an existing address.","type":"integer"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"type":"boolean"},"is_shipper":{"type":"boolean"},"is_origin":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"is_destination":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"instructions":{"$ref":"#/components/schemas/site_instructions"},"remote_id":{"description":"The id of the address in your system.","type":"string"},"company":{"$ref":"#/components/schemas/CompanyForTransportAddress_1"}},"type":"object"},"country":{"description":"Only the 2-character codification is accepted (ISO 3166-1 alpha-2)","type":"string"},"latitude":{"description":"Latitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"longitude":{"description":"Longitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"is_demo":{"description":"Indicates that the address is a fake one created from demonstration. Everything linked to it will be deleted when using the 'Delete demo content' button in company parameters","type":"boolean"},"address_is_origin_and_is_destination":{"description":"Whether this address is a \"Logistic Points\" and will be usable as pickup/delivery point.\nThe distinction between origin/pickup and destination/delivery was merged as a single \"Logistic Point\" concept. `is_origin` implies `is_destination` and vice-versa.\n","type":"boolean"},"site_instructions":{"description":"Site instructions, visible to all parties (trucker, carrier, shipper, site). Displayed in the trucker mobile app. Not visible in the eCMR. If the field is not provided, the address's site instructions will be used.","maxLength":1000,"type":"string"},"CompanyForTransportAddress_1":{"description":"Identification of the company. You may simply use its `pk` or `remote_id` if the company already exists. Other possible identification method are its `trade_number` or `name`. If it doesn't exist, the company will be created with the information you send based on what's possible when creating a company via /companies/ web service. Minimum required information in this case is a name.","properties":{"pk":{"description":"Dashdoc's internal id.Optional, not required if `remote_id` is sent.","type":"integer"},"remote_id":{"description":"The id of the company in your system. Optional, ignored if `pk` is sent.","type":"string"},"trade_number":{"maxLength":100,"type":"string"},"name":{"maxLength":200,"type":"string"}},"type":"object"},"SupportsExchange":{"properties":{"uid":{"description":"uid of the support exchange","format":"uuid","type":"string"},"site":{"$ref":"#/components/schemas/SupportsExchange_site"},"support_type":{"$ref":"#/components/schemas/SupportType"},"expected_retrieved":{"description":"Expected number of supports that should be retrieved on the site","type":"number"},"actual_retrieved":{"description":"Actual number of supports that were retrieved on the site","type":"number"},"expected_delivered":{"description":"Expected number of supports that should be delivered on the site","type":"number"},"actual_delivered":{"description":"Actual number of supports that were delivered on the site","type":"number"},"observations":{"description":"Free text. Observations about this supports exchange. Can be filled on mobile app, web app or via API.","type":"string"},"remote_id":{"description":"The ID of the support in your system","type":"string"}},"type":"object"},"SupportsExchange_site":{"description":"site where supports exchange is expected","properties":{"uid":{"description":"uid of the site","format":"uuid","type":"string"},"remote_id":{"description":"remote_id of the site","type":"string"}},"type":"object"},"SupportType":{"description":"Type of the supports that are exchanged","properties":{"name":{"description":"Display name of the support type","type":"string"},"created":{"$ref":"#/components/schemas/created"},"uid":{"format":"uuid","type":"string"},"remote_id":{"description":"The id of the support type in your system.","type":"string"}},"type":"object"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"Site_slots":{"properties":{"start":{"format":"date-time","type":"string"},"end":{"format":"date-time","type":"string"}},"type":"object"},"trucker_instructions":{"description":"**This field is part of a beta feature.** Private instructions. **The carrier of the transport is the only one who can edit and read those instructions.** Note that those instructions are not visible in the consignment note and can be accessed by the trucker. The value is null if the caller doesn't have the right of access to the data.","maxLength":1000,"type":"string"},"Site_trip":{"description":"Trip linked to this site/activity.","nullable":true,"properties":{"uid":{"format":"uuid","type":"string"},"name":{"type":"string"},"is_prepared":{"type":"boolean"},"status":{"enum":["unstarted","ongoing","done"],"type":"string"}},"readOnly":true,"type":"object"},"NewAddressReduced":{"properties":{"pk":{"description":"Dashdoc's internal id. Optional, set it to reference an existing address.","type":"integer"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"type":"boolean"},"is_shipper":{"type":"boolean"},"is_origin":{"type":"boolean"},"is_destination":{"type":"boolean"},"created_by":{"description":"Ignore. Dashdoc technical data.","readOnly":true,"type":"number"},"created":{"description":"Date of creation on our server","format":"date-time","readOnly":true,"type":"string"},"instructions":{"type":"string"},"remote_id":{"description":"The id of the address in your system.","type":"string"},"company":{"$ref":"#/components/schemas/CompanyForTransportAddress"},"original":{"description":"Ignore. Dashdoc technical data.","nullable":true,"readOnly":true,"type":"number"}},"required":["address","city","company","country","postcode"],"type":"object"},"CompanyForTransportAddress":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"remote_id":{"description":"The id of the company in your system.","type":"string"},"name":{"type":"string"},"trade_number":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"settings_contract_html":{"description":"Ignore. Dashdoc technical data.","type":"string"},"settings_logo":{"description":"Ignore. Dashdoc technical data.","nullable":true,"type":"string"},"settings_stamp":{"description":"Ignore. Dashdoc technical data.","nullable":true,"type":"string"},"settings_print_mode":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"settings_special_agreements":{"description":"Ignore. Dashdoc technical data.","type":"string"},"settings_transport_order_observations":{"type":"string"},"settings_constrain_reference_edition":{"type":"boolean"},"vat_number":{"type":"string"},"is_verified":{"type":"boolean"}},"type":"object"},"DeliveryLoads":{"properties":{"uid":{"description":"Dashdoc's internal id.","type":"string"},"remote_id":{"description":"The ID of the load in your system. It has to be unique among all your transports.","type":"string"},"description":{"description":"Text description of the load","type":"string"},"reference":{"description":"Reference of the load","type":"string"},"round_id":{"description":"The ID of the round.","format":"integer","type":"number"},"weight":{"description":"In kilograms","format":"float","type":"number"},"volume":{"description":"Volume of load in m3","format":"float","type":"number"},"volume_display_unit":{"default":"m3","enum":["m3","L"],"type":"string"},"linear_meters":{"description":"Length of load in meters","format":"float","type":"number"},"quantity":{"description":"Only one decimal accepted (e.g 0.0)","format":"float","type":"number"},"pallet_equivalence":{"description":"Pallet equivalence (EPS/EQPAL): how many standard pallet spaces the load occupies. `null` when it was never set. Otherwise at least `0.01`, with two decimals kept.","format":"float","nullable":true,"type":"number"},"category":{"description":"Packaging of the load. The text is free but these specific values cause a custom flow on the mobile app: `pallets`, `containers`, `bulk`, `roundwood`, `powder_tank`, `bulk_qualimat`, `rental`.","type":"string"},"dangerous_goods_category":{"description":"ADR class","enum":["1","2","3","4.1","4.2","4.3","5.1","5.2","6.1","6.2","7","8","9"],"type":"string"},"is_dangerous":{"type":"boolean"},"adr_un_code":{"type":"string"},"legal_mentions":{"type":"string"},"complementary_information":{"description":"Any information about the load that doesn't fit to the description field","type":"string"},"container_number":{"type":"string"},"tare_weight":{"description":"In kilograms","format":"float","type":"number"},"container_seal_number":{"type":"string"},"refrigerated":{"description":"Indicates whether the load is refrigerated. If true, the trucker can fill in the temperature.","type":"boolean"},"temperature":{"type":"string"},"steres":{"format":"float","type":"number"},"idtf_number":{"description":"Must match an existing IDTF number","type":"string"},"use_identifiers":{"description":"if `true`, trucker is asked to scan barcode identifiers on load","type":"boolean"},"identifiers":{"description":"Only relevant if use_identifiers is set to `true`. List of expected barcode identifiers that the trucker should scan at loading and unloading. App controls that expected barcodes are actually scanned. If empty, the trucker will have to scan barcodes anyway, but there won't be any check. Feature has to be activated in your account by your Dashdoc projet manager.","items":{"type":"string"},"type":"array"},"identifiers_observations":{"description":"Observations explaining issues with identifier, such as missing or unexpected identifiers","type":"string"}},"type":"object"},"Delivery_tracking_contacts":{"properties":{"uid":{"description":"Dashdoc's internal id.","type":"string"},"contact":{"$ref":"#/components/schemas/NewContact"},"subscribed_to_status_updates":{"description":"If set to true, the contact will receive an email at every step of the delivery. Else, they will receive only one email once the delivery is done.","type":"boolean"},"role":{"description":"The role of the contact in the delivery. It can be `carrier`, `shipper`, or `site`.","type":"string"}},"required":["contact"],"type":"object"},"NewContact":{"properties":{"uid":{"format":"uuid","type":"string"},"created":{"description":"Date of creation on our server","format":"date-time","readOnly":true,"type":"string"},"company":{"$ref":"#/components/schemas/CompanyIdentification"},"first_name":{"maxLength":200,"type":"string"},"last_name":{"maxLength":200,"type":"string"},"email":{"format":"email","type":"string"},"phone_number":{"maxLength":100,"type":"string"},"fax_number":{"maxLength":100,"type":"string"},"remote_id":{"description":"The id of the contact in your system","type":"string"}},"required":["company","last_name"],"type":"object"},"CompanyIdentification":{"description":"Identification of the company. The company must already exist in Dashdoc.","properties":{"pk":{"description":"Dashdoc's internal id. Optional, not required if `remote_id` is sent.","type":"integer"},"remote_id":{"description":"Your remote carrier id. Optional, ignored if `pk` is sent.","type":"string"},"name":{"type":"string"},"trade_number":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"settings_contract_html":{"description":"Ignore. Dashdoc technical data.","type":"string"},"settings_logo":{"description":"Ignore. Dashdoc technical data.","nullable":true,"type":"string"},"settings_stamp":{"description":"Ignore. Dashdoc technical data.","nullable":true,"type":"string"},"settings_print_mode":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"settings_special_agreements":{"description":"Ignore. Dashdoc technical data.","type":"string"},"settings_transport_order_observations":{"type":"string"},"settings_constrain_reference_edition":{"type":"boolean"},"vat_number":{"type":"string"},"is_verified":{"description":"Ignore. Dashdoc technical data.","type":"string"}},"type":"object"}}},"paths":{"/deliveries/":{"get":{"operationId":"listDeliveries","parameters":[{"description":"A page number within the paginated result set.","in":"query","name":"page","required":false,"schema":{"type":"integer"}},{"description":"Comma separated list of transport uids.","in":"query","name":"uid__in","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Deliveries"}}},"description":"Get successful"}},"summary":"List all deliveries","tags":["Deliveries"]}}}}
````

## GET /deliveries/{uid\_or\_remote\_id}/

> Read a delivery

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Deliveries"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"Delivery":{"properties":{"uid":{"description":"Dashdoc's internal id.","type":"string"},"sequential_id":{"description":"eCMR number","type":"number"},"remote_id":{"type":"string"},"tracking_id":{"description":"Deprecated","type":"string"},"origin":{"$ref":"#/components/schemas/CreateOrUpdateSite"},"destination":{"$ref":"#/components/schemas/CreateOrUpdateSite"},"shipper_address":{"$ref":"#/components/schemas/NewAddressReduced"},"planned_loads":{"description":"Loads as planned before the transport has been started","items":{"$ref":"#/components/schemas/DeliveryLoads"},"type":"array"},"loads":{"description":"Loads as they are most recently defined. This means it is: \n\n* equal to `planned_loads` before loading is actually done \n\n* equal to `origin_loads` after loading is done (with details validated by trucker), but unloading is not done yet \n\n* equal to `loads_loads` after unloading is actually done (with details validated by trucker)","items":{"$ref":"#/components/schemas/DeliveryLoads"},"type":"array"},"origin_loads":{"description":"Loads as validated by trucker right after loading is done","items":{"$ref":"#/components/schemas/DeliveryLoads"},"type":"array"},"destination_loads":{"description":"Loads as validated by trucker right after unloading is done","items":{"$ref":"#/components/schemas/DeliveryLoads"},"type":"array"},"tracking_contacts":{"description":"List of contacts that will automatically receive an email when delivery is done. ⚠️ If no tracking contacts are provided for a company and the setting `partner_email_fallback` is enabled, a tracking contact corresponding to the company's email will be added, at the creation of the transport. This only applies to the carrier and the shipper.","items":{"$ref":"#/components/schemas/Delivery_tracking_contacts"},"type":"array"},"shipper_reference":{"description":"Reference the client may use to match transport on his own system, e.g. an order number. The transport's creator can toggle a setting to only allow himself to set it.","type":"string"},"multiple_rounds":{"description":"If true, the trucker will be able to do a signature at loading, then add any amount of rounds for the transport (with weight/volume and weight ticket), and finish with a signature at unloading.","type":"boolean"}},"type":"object"},"CreateOrUpdateSite":{"properties":{"uid":{"format":"uuid","type":"string"},"remote_id":{"description":"The id of the site in your system","type":"string"},"address":{"allOf":[{"$ref":"#/components/schemas/SiteAddress"}],"nullable":true},"real_start":{"description":"date and time when trucker arrived on site","format":"date-time","readOnly":true,"type":"string"},"real_end":{"description":"date and time when trucker completed loading / unloading (depending whether site is origin or destination)","format":"date-time","readOnly":true,"type":"string"},"signature_process":{"type":"string"},"is_booking_needed":{"type":"boolean"},"instructions":{"$ref":"#/components/schemas/site_instructions"},"reference":{"type":"string"},"action":{"deprecated":true,"description":"Deprecated. Accepted for backward compatibility but ignored. Responses always return an empty string.","type":"string"},"eta":{"format":"date-time","nullable":true,"type":"string"},"eta_tracking":{"type":"boolean"},"punctuality_status":{"readOnly":true,"type":"string"},"supports_exchanges":{"$ref":"#/components/schemas/SupportsExchange"},"category":{"type":"string"},"slots":{"items":{"$ref":"#/components/schemas/Site_slots"},"type":"array"},"trucker_instructions":{"$ref":"#/components/schemas/trucker_instructions"},"trip":{"$ref":"#/components/schemas/Site_trip"}},"type":"object"},"SiteAddress":{"description":"Address of the site. Reference an existing address with its `pk` or `remote_id`, or send its details to have it matched or created.","properties":{"pk":{"description":"Dashdoc's internal id. Optional, set it to reference an existing address.","type":"integer"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"type":"boolean"},"is_shipper":{"type":"boolean"},"is_origin":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"is_destination":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"instructions":{"$ref":"#/components/schemas/site_instructions"},"remote_id":{"description":"The id of the address in your system.","type":"string"},"company":{"$ref":"#/components/schemas/CompanyForTransportAddress_1"}},"type":"object"},"country":{"description":"Only the 2-character codification is accepted (ISO 3166-1 alpha-2)","type":"string"},"latitude":{"description":"Latitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"longitude":{"description":"Longitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"is_demo":{"description":"Indicates that the address is a fake one created from demonstration. Everything linked to it will be deleted when using the 'Delete demo content' button in company parameters","type":"boolean"},"address_is_origin_and_is_destination":{"description":"Whether this address is a \"Logistic Points\" and will be usable as pickup/delivery point.\nThe distinction between origin/pickup and destination/delivery was merged as a single \"Logistic Point\" concept. `is_origin` implies `is_destination` and vice-versa.\n","type":"boolean"},"site_instructions":{"description":"Site instructions, visible to all parties (trucker, carrier, shipper, site). Displayed in the trucker mobile app. Not visible in the eCMR. If the field is not provided, the address's site instructions will be used.","maxLength":1000,"type":"string"},"CompanyForTransportAddress_1":{"description":"Identification of the company. You may simply use its `pk` or `remote_id` if the company already exists. Other possible identification method are its `trade_number` or `name`. If it doesn't exist, the company will be created with the information you send based on what's possible when creating a company via /companies/ web service. Minimum required information in this case is a name.","properties":{"pk":{"description":"Dashdoc's internal id.Optional, not required if `remote_id` is sent.","type":"integer"},"remote_id":{"description":"The id of the company in your system. Optional, ignored if `pk` is sent.","type":"string"},"trade_number":{"maxLength":100,"type":"string"},"name":{"maxLength":200,"type":"string"}},"type":"object"},"SupportsExchange":{"properties":{"uid":{"description":"uid of the support exchange","format":"uuid","type":"string"},"site":{"$ref":"#/components/schemas/SupportsExchange_site"},"support_type":{"$ref":"#/components/schemas/SupportType"},"expected_retrieved":{"description":"Expected number of supports that should be retrieved on the site","type":"number"},"actual_retrieved":{"description":"Actual number of supports that were retrieved on the site","type":"number"},"expected_delivered":{"description":"Expected number of supports that should be delivered on the site","type":"number"},"actual_delivered":{"description":"Actual number of supports that were delivered on the site","type":"number"},"observations":{"description":"Free text. Observations about this supports exchange. Can be filled on mobile app, web app or via API.","type":"string"},"remote_id":{"description":"The ID of the support in your system","type":"string"}},"type":"object"},"SupportsExchange_site":{"description":"site where supports exchange is expected","properties":{"uid":{"description":"uid of the site","format":"uuid","type":"string"},"remote_id":{"description":"remote_id of the site","type":"string"}},"type":"object"},"SupportType":{"description":"Type of the supports that are exchanged","properties":{"name":{"description":"Display name of the support type","type":"string"},"created":{"$ref":"#/components/schemas/created"},"uid":{"format":"uuid","type":"string"},"remote_id":{"description":"The id of the support type in your system.","type":"string"}},"type":"object"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"Site_slots":{"properties":{"start":{"format":"date-time","type":"string"},"end":{"format":"date-time","type":"string"}},"type":"object"},"trucker_instructions":{"description":"**This field is part of a beta feature.** Private instructions. **The carrier of the transport is the only one who can edit and read those instructions.** Note that those instructions are not visible in the consignment note and can be accessed by the trucker. The value is null if the caller doesn't have the right of access to the data.","maxLength":1000,"type":"string"},"Site_trip":{"description":"Trip linked to this site/activity.","nullable":true,"properties":{"uid":{"format":"uuid","type":"string"},"name":{"type":"string"},"is_prepared":{"type":"boolean"},"status":{"enum":["unstarted","ongoing","done"],"type":"string"}},"readOnly":true,"type":"object"},"NewAddressReduced":{"properties":{"pk":{"description":"Dashdoc's internal id. Optional, set it to reference an existing address.","type":"integer"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"type":"boolean"},"is_shipper":{"type":"boolean"},"is_origin":{"type":"boolean"},"is_destination":{"type":"boolean"},"created_by":{"description":"Ignore. Dashdoc technical data.","readOnly":true,"type":"number"},"created":{"description":"Date of creation on our server","format":"date-time","readOnly":true,"type":"string"},"instructions":{"type":"string"},"remote_id":{"description":"The id of the address in your system.","type":"string"},"company":{"$ref":"#/components/schemas/CompanyForTransportAddress"},"original":{"description":"Ignore. Dashdoc technical data.","nullable":true,"readOnly":true,"type":"number"}},"required":["address","city","company","country","postcode"],"type":"object"},"CompanyForTransportAddress":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"remote_id":{"description":"The id of the company in your system.","type":"string"},"name":{"type":"string"},"trade_number":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"settings_contract_html":{"description":"Ignore. Dashdoc technical data.","type":"string"},"settings_logo":{"description":"Ignore. Dashdoc technical data.","nullable":true,"type":"string"},"settings_stamp":{"description":"Ignore. Dashdoc technical data.","nullable":true,"type":"string"},"settings_print_mode":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"settings_special_agreements":{"description":"Ignore. Dashdoc technical data.","type":"string"},"settings_transport_order_observations":{"type":"string"},"settings_constrain_reference_edition":{"type":"boolean"},"vat_number":{"type":"string"},"is_verified":{"type":"boolean"}},"type":"object"},"DeliveryLoads":{"properties":{"uid":{"description":"Dashdoc's internal id.","type":"string"},"remote_id":{"description":"The ID of the load in your system. It has to be unique among all your transports.","type":"string"},"description":{"description":"Text description of the load","type":"string"},"reference":{"description":"Reference of the load","type":"string"},"round_id":{"description":"The ID of the round.","format":"integer","type":"number"},"weight":{"description":"In kilograms","format":"float","type":"number"},"volume":{"description":"Volume of load in m3","format":"float","type":"number"},"volume_display_unit":{"default":"m3","enum":["m3","L"],"type":"string"},"linear_meters":{"description":"Length of load in meters","format":"float","type":"number"},"quantity":{"description":"Only one decimal accepted (e.g 0.0)","format":"float","type":"number"},"pallet_equivalence":{"description":"Pallet equivalence (EPS/EQPAL): how many standard pallet spaces the load occupies. `null` when it was never set. Otherwise at least `0.01`, with two decimals kept.","format":"float","nullable":true,"type":"number"},"category":{"description":"Packaging of the load. The text is free but these specific values cause a custom flow on the mobile app: `pallets`, `containers`, `bulk`, `roundwood`, `powder_tank`, `bulk_qualimat`, `rental`.","type":"string"},"dangerous_goods_category":{"description":"ADR class","enum":["1","2","3","4.1","4.2","4.3","5.1","5.2","6.1","6.2","7","8","9"],"type":"string"},"is_dangerous":{"type":"boolean"},"adr_un_code":{"type":"string"},"legal_mentions":{"type":"string"},"complementary_information":{"description":"Any information about the load that doesn't fit to the description field","type":"string"},"container_number":{"type":"string"},"tare_weight":{"description":"In kilograms","format":"float","type":"number"},"container_seal_number":{"type":"string"},"refrigerated":{"description":"Indicates whether the load is refrigerated. If true, the trucker can fill in the temperature.","type":"boolean"},"temperature":{"type":"string"},"steres":{"format":"float","type":"number"},"idtf_number":{"description":"Must match an existing IDTF number","type":"string"},"use_identifiers":{"description":"if `true`, trucker is asked to scan barcode identifiers on load","type":"boolean"},"identifiers":{"description":"Only relevant if use_identifiers is set to `true`. List of expected barcode identifiers that the trucker should scan at loading and unloading. App controls that expected barcodes are actually scanned. If empty, the trucker will have to scan barcodes anyway, but there won't be any check. Feature has to be activated in your account by your Dashdoc projet manager.","items":{"type":"string"},"type":"array"},"identifiers_observations":{"description":"Observations explaining issues with identifier, such as missing or unexpected identifiers","type":"string"}},"type":"object"},"Delivery_tracking_contacts":{"properties":{"uid":{"description":"Dashdoc's internal id.","type":"string"},"contact":{"$ref":"#/components/schemas/NewContact"},"subscribed_to_status_updates":{"description":"If set to true, the contact will receive an email at every step of the delivery. Else, they will receive only one email once the delivery is done.","type":"boolean"},"role":{"description":"The role of the contact in the delivery. It can be `carrier`, `shipper`, or `site`.","type":"string"}},"required":["contact"],"type":"object"},"NewContact":{"properties":{"uid":{"format":"uuid","type":"string"},"created":{"description":"Date of creation on our server","format":"date-time","readOnly":true,"type":"string"},"company":{"$ref":"#/components/schemas/CompanyIdentification"},"first_name":{"maxLength":200,"type":"string"},"last_name":{"maxLength":200,"type":"string"},"email":{"format":"email","type":"string"},"phone_number":{"maxLength":100,"type":"string"},"fax_number":{"maxLength":100,"type":"string"},"remote_id":{"description":"The id of the contact in your system","type":"string"}},"required":["company","last_name"],"type":"object"},"CompanyIdentification":{"description":"Identification of the company. The company must already exist in Dashdoc.","properties":{"pk":{"description":"Dashdoc's internal id. Optional, not required if `remote_id` is sent.","type":"integer"},"remote_id":{"description":"Your remote carrier id. Optional, ignored if `pk` is sent.","type":"string"},"name":{"type":"string"},"trade_number":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"settings_contract_html":{"description":"Ignore. Dashdoc technical data.","type":"string"},"settings_logo":{"description":"Ignore. Dashdoc technical data.","nullable":true,"type":"string"},"settings_stamp":{"description":"Ignore. Dashdoc technical data.","nullable":true,"type":"string"},"settings_print_mode":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"settings_special_agreements":{"description":"Ignore. Dashdoc technical data.","type":"string"},"settings_transport_order_observations":{"type":"string"},"settings_constrain_reference_edition":{"type":"boolean"},"vat_number":{"type":"string"},"is_verified":{"description":"Ignore. Dashdoc technical data.","type":"string"}},"type":"object"}}},"paths":{"/deliveries/{uid_or_remote_id}/":{"get":{"operationId":"readDeliveries","parameters":[{"description":"Dashdoc `uid` or your `remote_id`. With a `remote_id`, you must add `lookup_field=remote_id` to the query parameters.","in":"path","name":"uid_or_remote_id","required":true,"schema":{"anyOf":[{"format":"uuid","title":"uid","type":"string"},{"title":"remote_id","type":"string"}]}},{"description":"Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the `remote_id` (see path parameters)","in":"query","name":"lookup_field","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Delivery"}}},"description":"Get successful"}},"summary":"Read a delivery","tags":["Deliveries"]}}}}
````

## PATCH /deliveries/{uid\_or\_remote\_id}/

> Partially update a delivery

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Deliveries"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"CreateOrUpdateDelivery":{"properties":{"planned_loads":{"description":"Loads as planned before the transport has been started","items":{"$ref":"#/components/schemas/NewDeliveryLoads"},"type":"array"},"origin":{"$ref":"#/components/schemas/CreateOrUpdateSite"},"destination":{"$ref":"#/components/schemas/CreateOrUpdateSite"},"shipper_address":{"$ref":"#/components/schemas/NewAddressReduced"},"tracking_contacts":{"description":"List of contacts that will automatically receive an email when delivery is done.\nThe role of each contact will be determined by matching its company to a company\non the transport (carrier, shipper, pick-up, delivery).\n⚠️ If no tracking contacts are provided for a company and the setting `partner_email_fallback` is enabled,\na tracking contact corresponding to the company's email will be added, at the creation of the transport.\nThis only applies to the carrier and the shipper.\n","items":{"$ref":"#/components/schemas/CreateOrUpdateDelivery_tracking_contacts"},"type":"array"},"shipper_reference":{"description":"Reference the client may use to match transport on his own system, e.g. an order number.","type":"string"},"multiple_rounds":{"description":"If true, the trucker will be able to do a signature at loading, then add any amount of rounds for the transport (with weight/volume and weight ticket), and finish with a signature at unloading.","type":"boolean"}},"required":["destination","origin","shipper_address"],"type":"object"},"NewDeliveryLoads":{"properties":{"remote_id":{"description":"The ID of the load in your system. It has to be unique among all your transports.","type":"string"},"description":{"description":"Text description of the load. In the case of a dangerous load, the description has to respect the ADR law.","type":"string"},"reference":{"description":"Reference of the load.","type":"string"},"weight":{"description":"In kilograms","format":"float","type":"number"},"volume":{"description":"Volume of load in m3","format":"float","type":"number"},"linear_meters":{"description":"Length of load in meters","format":"float","type":"number"},"quantity":{"description":"Only one decimal accepted (e.g 0.0)","format":"float","type":"number"},"pallet_equivalence":{"description":"Pallet equivalence (EPS/EQPAL): how many standard pallet spaces the load occupies. Minimum `0.01`, and only two decimals are kept — omit it or send `null` rather than 0 when unknown. When a load is created from the Dashdoc interface this defaults to `quantity` × the handling unit's pallet equivalence, and stays freely overridable.","format":"float","nullable":true,"type":"number"},"category":{"description":"Packaging of the load. The text is free but these specific values cause a custom flow on the mobile app: `pallets`, `containers`, `bulk`, `roundwood`, `powder_tank`, `bulk_qualimat`, `rental`.","type":"string"},"handling_unit_uid":{"description":"Existing handling unit UID from the load type catalog.","format":"uuid","type":"string"},"good_uid":{"description":"Existing good UID from the goods catalog.","format":"uuid","type":"string"},"create_handling_unit":{"$ref":"#/components/schemas/NewDeliveryLoads_create_handling_unit"},"create_good":{"$ref":"#/components/schemas/NewDeliveryLoads_create_good"},"dangerous_goods_category":{"deprecated":true,"description":"ADR class","enum":["1","2","3","4.1","4.2","4.3","5.1","5.2","6.1","6.2","7","8","9"],"type":"string"},"is_dangerous":{"default":false,"description":"Indicates whether the load is dangerous. If true, the trucker has to confirm adr un code and legal mentions at unloading.","type":"boolean"},"adr_un_code":{"description":"Only for dangerous load, the official UN code from the ADR law.","type":"string"},"legal_mentions":{"description":"Only for dangerous load, all mandatory legal mentions printed on documents.","type":"string"},"complementary_information":{"description":"Any information about the load that doesn't fit to the description field.","type":"string"},"container_number":{"type":"string"},"tare_weight":{"description":"In kilograms","format":"float","type":"number"},"container_seal_number":{"type":"string"},"refrigerated":{"description":"Indicates whether the load is refrigerated. If true, the trucker can fill in the temperature.","type":"boolean"},"temperature":{"type":"string"},"steres":{"format":"float","type":"number"},"idtf_number":{"description":"Must match an existing IDTF number","type":"string"},"use_identifiers":{"description":"if `true`, trucker is asked to scan barcode identifiers on load","type":"boolean"},"identifiers":{"description":"Only relevant if use_identifiers is set to `true`. List of expected barcode identifiers that the trucker should scan at loading and unloading. App controls that expected barcodes are actually scanned. If empty, the trucker will have to scan barcodes anyway, but there won't be any check. Feature has to be activated in your account by your Dashdoc projet manager.","items":{"type":"string"},"type":"array"},"identifiers_observations":{"description":"Observations explaining issues with identifier, such as missing or unexpected identifiers","type":"string"}},"type":"object"},"NewDeliveryLoads_create_handling_unit":{"description":"Create a handling unit in the catalog and use its UID for this load. If provided, it silently overrides `handling_unit_uid`.","nullable":true,"properties":{"name":{"type":"string"},"dashdoc_load_category":{"type":"string"},"remote_id":{"type":"string"}},"type":"object"},"NewDeliveryLoads_create_good":{"description":"Create a good in the catalog and use its UID for this load. If provided, it silently overrides `good_uid`.","nullable":true,"properties":{"name":{"type":"string"},"additional_information":{"type":"string"},"remote_id":{"type":"string"}},"type":"object"},"CreateOrUpdateSite":{"properties":{"uid":{"format":"uuid","type":"string"},"remote_id":{"description":"The id of the site in your system","type":"string"},"address":{"allOf":[{"$ref":"#/components/schemas/SiteAddress"}],"nullable":true},"real_start":{"description":"date and time when trucker arrived on site","format":"date-time","readOnly":true,"type":"string"},"real_end":{"description":"date and time when trucker completed loading / unloading (depending whether site is origin or destination)","format":"date-time","readOnly":true,"type":"string"},"signature_process":{"type":"string"},"is_booking_needed":{"type":"boolean"},"instructions":{"$ref":"#/components/schemas/site_instructions"},"reference":{"type":"string"},"action":{"deprecated":true,"description":"Deprecated. Accepted for backward compatibility but ignored. Responses always return an empty string.","type":"string"},"eta":{"format":"date-time","nullable":true,"type":"string"},"eta_tracking":{"type":"boolean"},"punctuality_status":{"readOnly":true,"type":"string"},"supports_exchanges":{"$ref":"#/components/schemas/SupportsExchange"},"category":{"type":"string"},"slots":{"items":{"$ref":"#/components/schemas/Site_slots"},"type":"array"},"trucker_instructions":{"$ref":"#/components/schemas/trucker_instructions"},"trip":{"$ref":"#/components/schemas/Site_trip"}},"type":"object"},"SiteAddress":{"description":"Address of the site. Reference an existing address with its `pk` or `remote_id`, or send its details to have it matched or created.","properties":{"pk":{"description":"Dashdoc's internal id. Optional, set it to reference an existing address.","type":"integer"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"type":"boolean"},"is_shipper":{"type":"boolean"},"is_origin":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"is_destination":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"instructions":{"$ref":"#/components/schemas/site_instructions"},"remote_id":{"description":"The id of the address in your system.","type":"string"},"company":{"$ref":"#/components/schemas/CompanyForTransportAddress_1"}},"type":"object"},"country":{"description":"Only the 2-character codification is accepted (ISO 3166-1 alpha-2)","type":"string"},"latitude":{"description":"Latitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"longitude":{"description":"Longitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"is_demo":{"description":"Indicates that the address is a fake one created from demonstration. Everything linked to it will be deleted when using the 'Delete demo content' button in company parameters","type":"boolean"},"address_is_origin_and_is_destination":{"description":"Whether this address is a \"Logistic Points\" and will be usable as pickup/delivery point.\nThe distinction between origin/pickup and destination/delivery was merged as a single \"Logistic Point\" concept. `is_origin` implies `is_destination` and vice-versa.\n","type":"boolean"},"site_instructions":{"description":"Site instructions, visible to all parties (trucker, carrier, shipper, site). Displayed in the trucker mobile app. Not visible in the eCMR. If the field is not provided, the address's site instructions will be used.","maxLength":1000,"type":"string"},"CompanyForTransportAddress_1":{"description":"Identification of the company. You may simply use its `pk` or `remote_id` if the company already exists. Other possible identification method are its `trade_number` or `name`. If it doesn't exist, the company will be created with the information you send based on what's possible when creating a company via /companies/ web service. Minimum required information in this case is a name.","properties":{"pk":{"description":"Dashdoc's internal id.Optional, not required if `remote_id` is sent.","type":"integer"},"remote_id":{"description":"The id of the company in your system. Optional, ignored if `pk` is sent.","type":"string"},"trade_number":{"maxLength":100,"type":"string"},"name":{"maxLength":200,"type":"string"}},"type":"object"},"SupportsExchange":{"properties":{"uid":{"description":"uid of the support exchange","format":"uuid","type":"string"},"site":{"$ref":"#/components/schemas/SupportsExchange_site"},"support_type":{"$ref":"#/components/schemas/SupportType"},"expected_retrieved":{"description":"Expected number of supports that should be retrieved on the site","type":"number"},"actual_retrieved":{"description":"Actual number of supports that were retrieved on the site","type":"number"},"expected_delivered":{"description":"Expected number of supports that should be delivered on the site","type":"number"},"actual_delivered":{"description":"Actual number of supports that were delivered on the site","type":"number"},"observations":{"description":"Free text. Observations about this supports exchange. Can be filled on mobile app, web app or via API.","type":"string"},"remote_id":{"description":"The ID of the support in your system","type":"string"}},"type":"object"},"SupportsExchange_site":{"description":"site where supports exchange is expected","properties":{"uid":{"description":"uid of the site","format":"uuid","type":"string"},"remote_id":{"description":"remote_id of the site","type":"string"}},"type":"object"},"SupportType":{"description":"Type of the supports that are exchanged","properties":{"name":{"description":"Display name of the support type","type":"string"},"created":{"$ref":"#/components/schemas/created"},"uid":{"format":"uuid","type":"string"},"remote_id":{"description":"The id of the support type in your system.","type":"string"}},"type":"object"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"Site_slots":{"properties":{"start":{"format":"date-time","type":"string"},"end":{"format":"date-time","type":"string"}},"type":"object"},"trucker_instructions":{"description":"**This field is part of a beta feature.** Private instructions. **The carrier of the transport is the only one who can edit and read those instructions.** Note that those instructions are not visible in the consignment note and can be accessed by the trucker. The value is null if the caller doesn't have the right of access to the data.","maxLength":1000,"type":"string"},"Site_trip":{"description":"Trip linked to this site/activity.","nullable":true,"properties":{"uid":{"format":"uuid","type":"string"},"name":{"type":"string"},"is_prepared":{"type":"boolean"},"status":{"enum":["unstarted","ongoing","done"],"type":"string"}},"readOnly":true,"type":"object"},"NewAddressReduced":{"properties":{"pk":{"description":"Dashdoc's internal id. Optional, set it to reference an existing address.","type":"integer"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"type":"boolean"},"is_shipper":{"type":"boolean"},"is_origin":{"type":"boolean"},"is_destination":{"type":"boolean"},"created_by":{"description":"Ignore. Dashdoc technical data.","readOnly":true,"type":"number"},"created":{"description":"Date of creation on our server","format":"date-time","readOnly":true,"type":"string"},"instructions":{"type":"string"},"remote_id":{"description":"The id of the address in your system.","type":"string"},"company":{"$ref":"#/components/schemas/CompanyForTransportAddress"},"original":{"description":"Ignore. Dashdoc technical data.","nullable":true,"readOnly":true,"type":"number"}},"required":["address","city","company","country","postcode"],"type":"object"},"CompanyForTransportAddress":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"remote_id":{"description":"The id of the company in your system.","type":"string"},"name":{"type":"string"},"trade_number":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"settings_contract_html":{"description":"Ignore. Dashdoc technical data.","type":"string"},"settings_logo":{"description":"Ignore. Dashdoc technical data.","nullable":true,"type":"string"},"settings_stamp":{"description":"Ignore. Dashdoc technical data.","nullable":true,"type":"string"},"settings_print_mode":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"settings_special_agreements":{"description":"Ignore. Dashdoc technical data.","type":"string"},"settings_transport_order_observations":{"type":"string"},"settings_constrain_reference_edition":{"type":"boolean"},"vat_number":{"type":"string"},"is_verified":{"type":"boolean"}},"type":"object"},"CreateOrUpdateDelivery_tracking_contacts":{"properties":{"contact":{"$ref":"#/components/schemas/NewContact"},"subscribed_to_status_updates":{"description":"If set to true, the contact will receive an email at every step of the delivery. Else, they will receive only one email once the delivery is done.","type":"boolean"}},"required":["contact"],"type":"object"},"NewContact":{"properties":{"uid":{"format":"uuid","type":"string"},"created":{"description":"Date of creation on our server","format":"date-time","readOnly":true,"type":"string"},"company":{"$ref":"#/components/schemas/CompanyIdentification"},"first_name":{"maxLength":200,"type":"string"},"last_name":{"maxLength":200,"type":"string"},"email":{"format":"email","type":"string"},"phone_number":{"maxLength":100,"type":"string"},"fax_number":{"maxLength":100,"type":"string"},"remote_id":{"description":"The id of the contact in your system","type":"string"}},"required":["company","last_name"],"type":"object"},"CompanyIdentification":{"description":"Identification of the company. The company must already exist in Dashdoc.","properties":{"pk":{"description":"Dashdoc's internal id. Optional, not required if `remote_id` is sent.","type":"integer"},"remote_id":{"description":"Your remote carrier id. Optional, ignored if `pk` is sent.","type":"string"},"name":{"type":"string"},"trade_number":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"settings_contract_html":{"description":"Ignore. Dashdoc technical data.","type":"string"},"settings_logo":{"description":"Ignore. Dashdoc technical data.","nullable":true,"type":"string"},"settings_stamp":{"description":"Ignore. Dashdoc technical data.","nullable":true,"type":"string"},"settings_print_mode":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"settings_special_agreements":{"description":"Ignore. Dashdoc technical data.","type":"string"},"settings_transport_order_observations":{"type":"string"},"settings_constrain_reference_edition":{"type":"boolean"},"vat_number":{"type":"string"},"is_verified":{"description":"Ignore. Dashdoc technical data.","type":"string"}},"type":"object"},"Delivery":{"properties":{"uid":{"description":"Dashdoc's internal id.","type":"string"},"sequential_id":{"description":"eCMR number","type":"number"},"remote_id":{"type":"string"},"tracking_id":{"description":"Deprecated","type":"string"},"origin":{"$ref":"#/components/schemas/CreateOrUpdateSite"},"destination":{"$ref":"#/components/schemas/CreateOrUpdateSite"},"shipper_address":{"$ref":"#/components/schemas/NewAddressReduced"},"planned_loads":{"description":"Loads as planned before the transport has been started","items":{"$ref":"#/components/schemas/DeliveryLoads"},"type":"array"},"loads":{"description":"Loads as they are most recently defined. This means it is: \n\n* equal to `planned_loads` before loading is actually done \n\n* equal to `origin_loads` after loading is done (with details validated by trucker), but unloading is not done yet \n\n* equal to `loads_loads` after unloading is actually done (with details validated by trucker)","items":{"$ref":"#/components/schemas/DeliveryLoads"},"type":"array"},"origin_loads":{"description":"Loads as validated by trucker right after loading is done","items":{"$ref":"#/components/schemas/DeliveryLoads"},"type":"array"},"destination_loads":{"description":"Loads as validated by trucker right after unloading is done","items":{"$ref":"#/components/schemas/DeliveryLoads"},"type":"array"},"tracking_contacts":{"description":"List of contacts that will automatically receive an email when delivery is done. ⚠️ If no tracking contacts are provided for a company and the setting `partner_email_fallback` is enabled, a tracking contact corresponding to the company's email will be added, at the creation of the transport. This only applies to the carrier and the shipper.","items":{"$ref":"#/components/schemas/Delivery_tracking_contacts"},"type":"array"},"shipper_reference":{"description":"Reference the client may use to match transport on his own system, e.g. an order number. The transport's creator can toggle a setting to only allow himself to set it.","type":"string"},"multiple_rounds":{"description":"If true, the trucker will be able to do a signature at loading, then add any amount of rounds for the transport (with weight/volume and weight ticket), and finish with a signature at unloading.","type":"boolean"}},"type":"object"},"DeliveryLoads":{"properties":{"uid":{"description":"Dashdoc's internal id.","type":"string"},"remote_id":{"description":"The ID of the load in your system. It has to be unique among all your transports.","type":"string"},"description":{"description":"Text description of the load","type":"string"},"reference":{"description":"Reference of the load","type":"string"},"round_id":{"description":"The ID of the round.","format":"integer","type":"number"},"weight":{"description":"In kilograms","format":"float","type":"number"},"volume":{"description":"Volume of load in m3","format":"float","type":"number"},"volume_display_unit":{"default":"m3","enum":["m3","L"],"type":"string"},"linear_meters":{"description":"Length of load in meters","format":"float","type":"number"},"quantity":{"description":"Only one decimal accepted (e.g 0.0)","format":"float","type":"number"},"pallet_equivalence":{"description":"Pallet equivalence (EPS/EQPAL): how many standard pallet spaces the load occupies. `null` when it was never set. Otherwise at least `0.01`, with two decimals kept.","format":"float","nullable":true,"type":"number"},"category":{"description":"Packaging of the load. The text is free but these specific values cause a custom flow on the mobile app: `pallets`, `containers`, `bulk`, `roundwood`, `powder_tank`, `bulk_qualimat`, `rental`.","type":"string"},"dangerous_goods_category":{"description":"ADR class","enum":["1","2","3","4.1","4.2","4.3","5.1","5.2","6.1","6.2","7","8","9"],"type":"string"},"is_dangerous":{"type":"boolean"},"adr_un_code":{"type":"string"},"legal_mentions":{"type":"string"},"complementary_information":{"description":"Any information about the load that doesn't fit to the description field","type":"string"},"container_number":{"type":"string"},"tare_weight":{"description":"In kilograms","format":"float","type":"number"},"container_seal_number":{"type":"string"},"refrigerated":{"description":"Indicates whether the load is refrigerated. If true, the trucker can fill in the temperature.","type":"boolean"},"temperature":{"type":"string"},"steres":{"format":"float","type":"number"},"idtf_number":{"description":"Must match an existing IDTF number","type":"string"},"use_identifiers":{"description":"if `true`, trucker is asked to scan barcode identifiers on load","type":"boolean"},"identifiers":{"description":"Only relevant if use_identifiers is set to `true`. List of expected barcode identifiers that the trucker should scan at loading and unloading. App controls that expected barcodes are actually scanned. If empty, the trucker will have to scan barcodes anyway, but there won't be any check. Feature has to be activated in your account by your Dashdoc projet manager.","items":{"type":"string"},"type":"array"},"identifiers_observations":{"description":"Observations explaining issues with identifier, such as missing or unexpected identifiers","type":"string"}},"type":"object"},"Delivery_tracking_contacts":{"properties":{"uid":{"description":"Dashdoc's internal id.","type":"string"},"contact":{"$ref":"#/components/schemas/NewContact"},"subscribed_to_status_updates":{"description":"If set to true, the contact will receive an email at every step of the delivery. Else, they will receive only one email once the delivery is done.","type":"boolean"},"role":{"description":"The role of the contact in the delivery. It can be `carrier`, `shipper`, or `site`.","type":"string"}},"required":["contact"],"type":"object"}}},"paths":{"/deliveries/{uid_or_remote_id}/":{"patch":{"operationId":"partialUpdateDeliveries","parameters":[{"description":"Dashdoc `uid` or your `remote_id`. With a `remote_id`, you must add `lookup_field=remote_id` to the query parameters.","in":"path","name":"uid_or_remote_id","required":true,"schema":{"anyOf":[{"format":"uuid","title":"uid","type":"string"},{"title":"remote_id","type":"string"}]}},{"description":"Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the `remote_id` (see path parameters)","in":"query","name":"lookup_field","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateOrUpdateDelivery"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Delivery"}}},"description":"Update successful"}},"summary":"Partially update a delivery","tags":["Deliveries"]}}}}
````

## POST /deliveries/{uid}/add-round/

> Add round to a delivery

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Deliveries"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"AddRoundDeliveries":{"properties":{"loads":{"items":{"$ref":"#/components/schemas/NewDeliveryLoads"},"type":"array"}},"required":["loads"],"type":"object"},"NewDeliveryLoads":{"properties":{"remote_id":{"description":"The ID of the load in your system. It has to be unique among all your transports.","type":"string"},"description":{"description":"Text description of the load. In the case of a dangerous load, the description has to respect the ADR law.","type":"string"},"reference":{"description":"Reference of the load.","type":"string"},"weight":{"description":"In kilograms","format":"float","type":"number"},"volume":{"description":"Volume of load in m3","format":"float","type":"number"},"linear_meters":{"description":"Length of load in meters","format":"float","type":"number"},"quantity":{"description":"Only one decimal accepted (e.g 0.0)","format":"float","type":"number"},"pallet_equivalence":{"description":"Pallet equivalence (EPS/EQPAL): how many standard pallet spaces the load occupies. Minimum `0.01`, and only two decimals are kept — omit it or send `null` rather than 0 when unknown. When a load is created from the Dashdoc interface this defaults to `quantity` × the handling unit's pallet equivalence, and stays freely overridable.","format":"float","nullable":true,"type":"number"},"category":{"description":"Packaging of the load. The text is free but these specific values cause a custom flow on the mobile app: `pallets`, `containers`, `bulk`, `roundwood`, `powder_tank`, `bulk_qualimat`, `rental`.","type":"string"},"handling_unit_uid":{"description":"Existing handling unit UID from the load type catalog.","format":"uuid","type":"string"},"good_uid":{"description":"Existing good UID from the goods catalog.","format":"uuid","type":"string"},"create_handling_unit":{"$ref":"#/components/schemas/NewDeliveryLoads_create_handling_unit"},"create_good":{"$ref":"#/components/schemas/NewDeliveryLoads_create_good"},"dangerous_goods_category":{"deprecated":true,"description":"ADR class","enum":["1","2","3","4.1","4.2","4.3","5.1","5.2","6.1","6.2","7","8","9"],"type":"string"},"is_dangerous":{"default":false,"description":"Indicates whether the load is dangerous. If true, the trucker has to confirm adr un code and legal mentions at unloading.","type":"boolean"},"adr_un_code":{"description":"Only for dangerous load, the official UN code from the ADR law.","type":"string"},"legal_mentions":{"description":"Only for dangerous load, all mandatory legal mentions printed on documents.","type":"string"},"complementary_information":{"description":"Any information about the load that doesn't fit to the description field.","type":"string"},"container_number":{"type":"string"},"tare_weight":{"description":"In kilograms","format":"float","type":"number"},"container_seal_number":{"type":"string"},"refrigerated":{"description":"Indicates whether the load is refrigerated. If true, the trucker can fill in the temperature.","type":"boolean"},"temperature":{"type":"string"},"steres":{"format":"float","type":"number"},"idtf_number":{"description":"Must match an existing IDTF number","type":"string"},"use_identifiers":{"description":"if `true`, trucker is asked to scan barcode identifiers on load","type":"boolean"},"identifiers":{"description":"Only relevant if use_identifiers is set to `true`. List of expected barcode identifiers that the trucker should scan at loading and unloading. App controls that expected barcodes are actually scanned. If empty, the trucker will have to scan barcodes anyway, but there won't be any check. Feature has to be activated in your account by your Dashdoc projet manager.","items":{"type":"string"},"type":"array"},"identifiers_observations":{"description":"Observations explaining issues with identifier, such as missing or unexpected identifiers","type":"string"}},"type":"object"},"NewDeliveryLoads_create_handling_unit":{"description":"Create a handling unit in the catalog and use its UID for this load. If provided, it silently overrides `handling_unit_uid`.","nullable":true,"properties":{"name":{"type":"string"},"dashdoc_load_category":{"type":"string"},"remote_id":{"type":"string"}},"type":"object"},"NewDeliveryLoads_create_good":{"description":"Create a good in the catalog and use its UID for this load. If provided, it silently overrides `good_uid`.","nullable":true,"properties":{"name":{"type":"string"},"additional_information":{"type":"string"},"remote_id":{"type":"string"}},"type":"object"},"inline_response_200":{"properties":{"status":{"$ref":"#/components/schemas/Statuses"}},"type":"object"},"Statuses":{"enum":["created","updated","confirmed","declined","verified","invoiced","paid","cancelled","assigned","sent_to_trucker","acknowledged","truck_wash","on_loading_site","loading_complete","on_unloading_site","unloading_complete","bulking_break_started","bulking_break_complete","rounds_started","round_added","round_added_v2","round_edited","round_deleted","rounds_complete","event","checklist_filled","activity_complete","on_the_way","handling_started","done"],"type":"string"}}},"paths":{"/deliveries/{uid}/add-round/":{"post":{"operationId":"addRoundDeliveries","parameters":[{"in":"path","name":"uid","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddRoundDeliveries"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200"}}},"description":"Add round successful"}},"summary":"Add round to a delivery","tags":["Deliveries"]}}}}
````

## Get CMRs / LVs

> Get the CMRs related to a delivery

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Deliveries"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"CMRDocument":{"properties":{"file":{"description":"URL of the stored cmr document. You can download the document from this URL.","type":"string"},"reference":{"description":"Free text. This reference is searchable in the transports dashboard. Filled by the trucker if the CMR / LV is added from the mobile app. Filled by the user, if the document is added from the web app, or filled by API request.","type":"string"}},"type":"object"}}},"paths":{"/deliveries/{uid_or_remote_id}/cmrs/":{"get":{"description":"Get the CMRs related to a delivery","operationId":"getDeliveriesCMRs","parameters":[{"description":"Dashdoc `uid` or your `remote_id`. With a `remote_id`, you must add `lookup_field=remote_id` to the query parameters.","in":"path","name":"uid_or_remote_id","required":true,"schema":{"anyOf":[{"format":"uuid","title":"uid","type":"string"},{"title":"remote_id","type":"string"}]}},{"description":"Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the `remote_id` (see path parameters)","in":"query","name":"lookup_field","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/CMRDocument"},"type":"array"}}},"description":"CMRs / LVs of the delivery"}},"summary":"Get CMRs / LVs","tags":["Deliveries"]}}}}
````
